Package com.trilead.ssh2.packets

# Class PacketUserauthBanner

java.lang.Object
com.trilead.ssh2.packets.PacketUserauthBanner

public class PacketUserauthBanner extends Object
PacketUserauthBanner.

## Constructor Summary

Constructors
Constructor
Description
`PacketUserauthBanner(byte[] payload, int off, int len)`
`PacketUserauthBanner(String message, String language)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBanner()`
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketUserauthBanner

public PacketUserauthBanner(String message, String language)

### PacketUserauthBanner

public PacketUserauthBanner(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getBanner

public String getBanner()

### getPayload

public byte[] getPayload()